# PCRegisterAll

Registers all of the preconditioners in the PC package.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCRegisterAll(const char path[])

Not Collective

### Input Parameter

path -the library where the routines are to be found (optional)

### Keywords

PC, register, all

### See Also

PCRegisterDynamic(), PCRegisterDestroy()

Level:advanced
Location: src/ksp/pc/interface/pcregis.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages